Page MenuHomePhabricator

Current time displayed as modification date
Closed, ResolvedPublic

Description

See https://www.wikidata.org/w/index.php?search=test

Only happens in Wikidata and Test Wikidata

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 29 2020, 10:39 AM

Can confirm on Wikidata.

@search team: is there something you changed that might be causing this or should we dig into it?

EBernhardson triaged this task as Medium priority.Mar 3 2020, 6:38 PM
EBernhardson added a subscriber: EBernhardson.

Not sure what changed, but looking at the search query the timestamp isn't being requested. This likely results in a null being passed to some time handling function that interprets null as "now".

Change 580381 had a related patch set uploaded (by EBernhardson; owner: EBernhardson):
[mediawiki/extensions/WikibaseCirrusSearch@master] Add timestamp to EntityResultType hits

https://gerrit.wikimedia.org/r/580381

Change 580381 merged by jenkins-bot:
[mediawiki/extensions/WikibaseCirrusSearch@master] Add timestamp to EntityResultType hits

https://gerrit.wikimedia.org/r/580381

wmf.28 went to wikidata today, example query in description looks correct now.

TJones closed this task as Resolved.Apr 29 2020, 2:39 PM